#!/bin/bash
cd /var/www/test.mainboarder.de/adblocker/

while read p; do
  wget -qO - $p >> all-adblock.txt
done <adblocklists.txt

date=$(date '+%a, %d %b %Y %H:%M:%S %z')
sed 's/^!.*$//g' all-adblock.txt > allfilters.txt
echo '! Title: Mainboarder kompiliert
! Description: Filters optimized for uBlock, for single list use, deduplicated
! Expires: 2 days
! Last modified: '"$date"'
! Homepage: https://test.mainboarder.de/adblocker
!' > all-adblock.txt

cat header.txt >> all-adblock.txt
awk '!seen[$0]++' allfilters.txt >> all-adblock.txt
rm allfilters.txt
